Subject: I'm confused by mount, umount, and the registry, beta 17
From: [email-masked] (Jeff Deifik)

8 Dec 1996 07:04:54 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 3.0 (32)
Original-To: [email-masked]
Original-Sender: [email-masked]

I am running windows NT server 4.0 build 1381 service patch 1.
I have a copy of beta-17. I had installed many earlier versions of gnu-w95.
I have a c disk which has windows-95, and a d disk which has windows-nt.

I want to do a 'mount d: /'
when I try this from a dos box, I get the message:
mount failed: device or resource busy

When I type mount from a dos box, I get:
D:\>mount
Device           Directory           Type        Flags
\\.\tape1:       /dev/st1            native      no-mixed,text!=binary
\\.\tape0:       /dev/st0            native      no-mixed,text!=binary
\\.\b:           /dev/fd1            native      no-mixed,text!=binary
\\.\a:           /dev/fd0            native      no-mixed,text!=binary
c:               /                   native      no-mixed,text!=binary

So, using the registry editor, I searched for cygnus. I found it under
HKEY_CURRENT_USER/software/Cygnus Support as well as
HKEY_USERS/.DEFAULTS/S-1-5-21.../Software/Cygnus Support

Inside of these keys, I find
CYGWIN.DLL setup/B15.0/mounts/00 thru 04

I delete everything under Cygnus Support for both HKEY_CURRENT_USER
as well as HKEY_USERS. I exit via the registry menu, exit command.
I thing that this should modify the registry, but it doesn't seem to,
as shown below.

I then type the mount command from a dos box, and get the same thing I got
above.
I still cannot umount /, nor can I mount d: /

I reboot the machine (which I would think would use the modified registry),
and when I type mount, I get the origional configuration. When I use regedit,
I see all the stuff I deleted, inserted again.

I looked at my autoexec.bat and config.sys on my c drive, and I didn't see
me calling mount.

So, I start bash, and with bash I can umount / and mount d: /
I can also mount d:<my-path> /usr

So here are my questions:

1) why can I only mount/umount from bash?

2) why do my registry keys keep on springing back to life after I delete them?
	(after deleting them, I started up regedit again, before rebooting,
	 and they were *indeed* missing, so I surmise that there were deleted
correctly)

3) why are the keys under B15.0?
	(I looked after I modified /, and I found the modified value
	 under B15.0).

	Jeff turbo Deifik		[email-masked]	[email-masked]
					www.weasel.com

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".